WARNQUOTA(8)

NAZWA
warnquota - wysyła mail do użytkowników z przekroczoną kwotą dysku

SKŁADNIA
warnquota [ -ugsid ] [ -F format_kwoty ] [ -q plik_quotatab ] [ -c plik_konfig ] [ -a plik_admin ] [ system_plików... ]

OPIS
warnquota sprawdza kwoty dyskowe określonego lokalnego systemu plików (lub dla każdego lokalnego systemu plików jeśli nie podano żadnego) i wysyła ostrzeżenia do tych użytkowników, którzy osiągnęli miękki limit kwot. Zazwyczaj jest uruchamiana przez cron(8).

-F, --format=format_kwoty
    Wymusza ustawienie podanego formatu (tj. nie przeprowadza automatycznego wykrywania formatu). Możliwe nazwy formatów to: vfsold — oryginalny format kwoty z 16-bitowymi identyfikatorami użytkownika i grupy; vfsv0 — format kwoty z 32-bitowymi identyfikatorami użytkownika i grupy, 32-bitowymi polami użycia i-węzłów i limitami; vfsv1 — format kwoty z 64-bitowymi polami limitów i użycia; xfs — kwoty w systemie plików XFS.

-q, --quota-tab=plik_quotatab
    Używa pliku plik_quotatab zamiast /etc/quotatab jako pliku z opisem urządzeń (opis składni można znaleźć w przykładowym pliku).

-c, --config=plik_konfig
    Używa pliku plik_konfig zamiast /etc/warnquota.conf jako pliku konfiguracyjnego (opis składni można znaleźć w przykładowym pliku).

-a, --admins-file=plik_admin
    Używa pliku plik_admin zamiast /etc/quotagrpadmins jako pliku zawierającego nazwy administratorów grup.

-u, --user
    Sprawdza, czy użytkownicy nie przekraczają kwot (domyślnie).

-g, --group
    Sprawdza, czy grupy nie przekraczają kwot. Jeżeli grupa przekracza kwotę, to jest wysyłany mail do użytkownika podanego w /etc/quotagrpadmins.

-s, --human-readable
    Próbuje raportować użytą przestrzeń, liczbę używanych i-węzłów oraz limity w jednostkach bardziej odpowiednich niż te domyślne.

-i, --no-autofs
    Ignoruje punkty zamontowane przez automountera.

-d, --no-details
    Nie dołącza raportu kwot do e-mailu.

PLIKI
aquota.user
    plik kwoty w głównym katalogu systemu plików (kwota w wersji 2 na systemach plików nie będących XFS)
quota.user
    plik kwoty w głównym katalogu systemu plików (kwota w wersji 1 na systemach plików nie będących XFS)
/etc/warnquota.conf
    plik konfiguracyjny
/etc/quotatab
    opis urządzenia
/etc/quotagrpadmins
    administratorzy grup
/etc/mtab
    domyślne systemy plików
/etc/passwd
    domyślni użytkownicy

ZOBACZ TAKŻE
quota(1), cron(8), edquota(8).

AUTORZY
warnquota(8) napisał Marco van Wieringen <mvw@planets.elm.net>, modyfikował Jan Kara <jack@suse.cz>. Tę stronę podręcznika napisał Heiko Schlittermann <heiko@lotte.sax.de>, modyfikował Jan Kara.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.01 oryginału.